| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csShortestDistanceResult Struct Reference

Result structure for csEngineTools::FindShortestDistance(). More...

`#include <cstool/enginetools.h>`

List of all members.

## Public Attributes
csVector3 | direction
| This is a direction towards the destination point but corrected with space warping portals.
float | sqdistance
| Squared distance between the two points or negative if the distance goes beyond the maximum radius.

## Detailed Description

Result structure for csEngineTools::FindShortestDistance().

Definition at line 40 of file enginetools.h.

## Member Data Documentation

csVector3 csShortestDistanceResult::direction

This is a direction towards the destination point but corrected with space warping portals.

That means that if you go from the start position in the direction returned here you will end up at the destination point.

Definition at line 54 of file enginetools.h.

float csShortestDistanceResult::sqdistance

Squared distance between the two points or negative if the distance goes beyond the maximum radius.

Definition at line 46 of file enginetools.h.

The documentation for this struct was generated from the following file:

- cstool/enginetools.h